gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.RepeatingRadialGradientNode

Contents

- Exported types
- Methods
  - new

Description

A render node for a repeating radial gradient.

Synopsis

- newtype RepeatingRadialGradientNode = RepeatingRadialGradientNode (ManagedPtr RepeatingRadialGradientNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf RepeatingRadialGradientNode o) => IsRepeatingRadialGradientNode o
- toRepeatingRadialGradientNode :: (MonadIO m, IsRepeatingRadialGradientNode o) => o -> m RepeatingRadialGradientNode
- repeatingRadialGradientNodeNew :: (HasCallStack, MonadIO m) => Rect -> Point -> Float -> Float -> Float -> Float -> [ColorStop] -> m RepeatingRadialGradientNode

# Exported types

newtype RepeatingRadialGradientNode Source #

Memory-managed wrapper type.

Constructors

RepeatingRadialGradientNode (ManagedPtr RepeatingRadialGradientNode) |

#### Instances

Instances details

Eq RepeatingRadialGradientNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingRadialGradientNode Methods (==) :: RepeatingRadialGradientNode -> RepeatingRadialGradientNode -> Bool Source # (/=) :: RepeatingRadialGradientNode -> RepeatingRadialGradientNode -> Bool Source #
BoxedPtr RepeatingRadialGradientNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingRadialGradientNode Methods boxedPtrCopy :: RepeatingRadialGradientNode -> IO RepeatingRadialGradientNode Source # boxedPtrFree :: RepeatingRadialGradientNode -> IO () Source #
ManagedPtrNewtype RepeatingRadialGradientNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingRadialGradientNode Methods toManagedPtr :: RepeatingRadialGradientNode -> ManagedPtr RepeatingRadialGradientNode Source #
TypedObject RepeatingRadialGradientNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingRadialGradientNode Methods glibType :: IO GType Source #
HasParentTypes RepeatingRadialGradientNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingRadialGradientNode
type ParentTypes RepeatingRadialGradientNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingRadialGradientNode type ParentTypes RepeatingRadialGradientNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf RepeatingRadialGradientNode o) => IsRepeatingRadialGradientNode o Source #

Type class for types which can be safely cast to `RepeatingRadialGradientNode`, for instance with `toRepeatingRadialGradientNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf RepeatingRadialGradientNode o) => IsRepeatingRadialGradientNode o Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingRadialGradientNode

toRepeatingRadialGradientNode :: (MonadIO m, IsRepeatingRadialGradientNode o) => o -> m RepeatingRadialGradientNode Source #

Cast to `RepeatingRadialGradientNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getChildren, getNodeType, getOpaqueRect.

#### Setters

None.

## new

repeatingRadialGradientNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Rect | `bounds`: the bounds of the node
-> Point | `center`: the center of the gradient
-> Float | `hradius`: the horizontal radius
-> Float | `vradius`: the vertical radius
-> Float | `start`: a percentage >= 0 that defines the start of the gradient around `center`
-> Float | `end`: a percentage >= 0 that defines the end of the gradient around `center`
-> [ColorStop] | `colorStops`: a pointer to an array of `GskColorStop` defining the gradient. The offsets of all color stops must be increasing. The first stop's offset must be >= 0 and the last stop's offset must be <= 1.
-> m RepeatingRadialGradientNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that draws a repeating radial gradient.

The radial gradient starts around `center`. The size of the gradient is dictated by `hradius` in horizontal orientation and by `vradius` in vertical orientation.